<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="zh_Hans">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="0b408f55df46c77b" weblate-flags="safe-html, strict-same">
        <source>= `value` JSON documents are represented in memory as instances of &lt;&lt;ref_value&gt;&gt;: a {req_Regular} type which satisfies {req_DefaultConstructible}, {req_CopyConstructible}, {req_CopyAssignable}, {req_MoveConstructible}, {req_MoveAssignable}, and many of the requirements of allocator-aware containers. It is implemented as a https://en.wikipedia.org/wiki/Tagged_union[__variant__] internally, and can dynamically store any of the six defined JSON value types:</source>
        <target state="translated">= `value` JSON文档在内存中表示为&amp;lt;&lt;ref_value&gt;&amp;gt;的实例：一种{req_Regular}类型，满足{req_DefaultConstructible}、{req_CopyConstructible}、{req_CopyAssignable}、{req_MoveConstructible}、{req_MoveAssignable}以及许多分配器感知容器的要求。它在内部实现为一个https://en.wikipedia.org/wiki/Tagged_union[__variant__]（变体），并且可以动态存储六种已定义的JSON值类型中的任意一种：&lt;/ref_value&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">12</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2023fc26f068044d" weblate-flags="safe-html, strict-same">
        <source>**null**: A</source>
        <target state="translated">**空值**：一种</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">21</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="9730a2a2e87025a1" weblate-flags="safe-html, strict-same">
        <source>https://en.cppreference.com/w/cpp/utility/variant/monostate[__monostate__] value, equivalent to `nullptr`.</source>
        <target state="translated">https://en.cppreference.com/w/cpp/utility/variant/monostate[__monostate__]（单态）值，等同于`nullptr`。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">22</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a2d2bc0db6e3fd70" weblate-flags="safe-html, strict-same">
        <source>**boolean**: A boolean: either `true` or `false`.</source>
        <target state="translated">**布尔值**：布尔类型，取值为`true`或`false`。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">25</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4f61ec376e3d198f" weblate-flags="safe-html, strict-same">
        <source>**number**: An integral or floating point value.</source>
        <target state="translated">**数值**：整型或浮点型值。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">27</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="27ec6e22c13f391c" weblate-flags="safe-html, strict-same">
        <source>**string**: A sequence of zero or more Unicode characters,</source>
        <target state="translated">**字符串**：由零个或多个Unicode字符组成的序列，</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">29</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="404ddc7f3e87bea5" weblate-flags="safe-html, strict-same">
        <source>similar to {std_string}.</source>
        <target state="translated">类似于{std_string}。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">30</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="3db0b80dcffd4f2b" weblate-flags="safe-html, strict-same">
        <source>**array**: An ordered list of values, like {std_vector}.</source>
        <target state="translated">**数组**：值的有序列表，类似于{std_vector}。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">32</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2a0ab28bde4cfae2" weblate-flags="safe-html, strict-same">
        <source>**object**: A collection of name/value pairs, also known as an</source>
        <target state="translated">**对象**：名称/值对的集合，也称为</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">34</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="9a30c2b41cba201e" weblate-flags="safe-html, strict-same">
        <source>https://en.wikipedia.org/wiki/Associative_array[__associative array__].</source>
        <target state="translated">https://en.wikipedia.org/wiki/Associative_array[__关联数组__]。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">35</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="8e0eb2187149195d" weblate-flags="safe-html, strict-same">
        <source>Working With Values</source>
        <target state="translated">处理值</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">37</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="102cf168333167ba" weblate-flags="safe-html, strict-same">
        <source>A &lt;&lt;ref_value&gt;&gt; constructed from `nullptr` or default constructed represents a null JSON element:</source>
        <target state="translated">从`nullptr`构造或默认构造的 &amp;lt;&lt;ref_value&gt;&amp;gt; 表示一个空的JSON元素：&lt;/ref_value&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">38</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="bf7cef8b3aa7d28c" weblate-flags="safe-html, strict-same">
        <source>The member function &lt;&lt;ref_value_kind,`value::kind`&gt;&gt; may be used to query the kind stored in the value. Alternatively, member functions like &lt;&lt;ref_value_is_object,`value::is_object`&gt;&gt; &lt;&lt;ref_value_is_number,`value::is_number`&gt;&gt; may be used to check whether or not the value is a particular kind:</source>
        <target state="translated">成员函数&amp;lt;&lt;ref_value_kind,`value::kind`&gt;&amp;gt;可用于查询值中存储的种类。或者，也可以使用诸如&amp;lt;&lt;ref_value_is_object,`value::is_object`&gt;&amp;gt;、&amp;lt;&lt;ref_value_is_number,`value::is_number`&gt;&amp;gt; 等成员函数来检查值是否为特定种类：&lt;/ref_value_is_number,`value::is_number`&gt;&lt;/ref_value_is_object,`value::is_object`&gt;&lt;/ref_value_kind,`value::kind`&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">46</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ac5ec6da9a682c7c" weblate-flags="safe-html, strict-same">
        <source>Functions like &lt;&lt;ref_value_if_object,`value::if_object`&gt;&gt; actually return a pointer to the object if the value is an object, otherwise they return null. This allows them to be used both in boolean contexts as above, and in assignments or conditional expressions to capture the value of the pointer:</source>
        <target state="translated">诸如 &amp;lt;&lt;ref_value_if_object,`value::if_object`&gt;&amp;gt; 的函数在值为对象时返回指向该对象的指针，否则返回空指针。这使得它们既可用于上述的布尔上下文，也可用于赋值或条件表达式中，以捕获指针的值：&lt;/ref_value_if_object,`value::if_object`&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">57</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e944ffa74faf49c2" weblate-flags="safe-html, strict-same">
        <source>After a &lt;&lt;ref_value&gt;&gt; is constructed, its kind can change depending on what is assigned to it, or by calling functions such as &lt;&lt;ref_value_emplace_array,`value::emplace_array`&gt;&gt; or &lt;&lt;ref_value_emplace_bool,`value::emplace_bool`&gt;&gt;. If the assignment is successful, in other words it completes without any exceptions then the value is replaced. Otherwise, the value is unchanged. All operations which can fail to modify a value offer the strong exception safety guarantee.</source>
        <target state="translated">&amp;lt;&lt;ref_value&gt;&amp;gt; 构造之后，其类型可根据赋值内容或通过调用&amp;lt;&lt;ref_value_emplace_array,`value::emplace_array`&gt;&amp;gt; 或 &amp;lt;&lt;ref_value_emplace_bool,`value::emplace_bool`&gt;&amp;gt; 等函数来改变。如果赋值成功，即未引发任何异常，则该值将被替换。否则，原值保持不变。所有可能修改值失败的操作均提供强异常安全保证。&lt;/ref_value_emplace_bool,`value::emplace_bool`&gt;&lt;/ref_value_emplace_array,`value::emplace_array`&gt;&lt;/ref_value&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">67</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="963ba594b9b6725d" weblate-flags="safe-html, strict-same">
        <source>The following table shows all of the ways to determine and access the contents of a &lt;&lt;ref_value&gt;&gt;:</source>
        <target state="translated">下表列出了所有用于判断和访问 &amp;lt;&lt;ref_value&gt;&amp;gt; 内容的方法：&lt;/ref_value&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">80</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="fe6daab62d8c3034" weblate-flags="safe-html, strict-same">
        <source>.&lt;&lt;ref_value&gt;&gt; Accessors [%autowidth,cols=8] |=== |Kind |Representation |Emplacement |Kind Test |Pointer Access |`result` Access |Checked Access |Unchecked Access</source>
        <target state="translated">.&amp;lt;&lt;ref_value&gt;&amp;gt;访问器 [%autowidth, cols=8] |=== |种类 |表示形式 |置入 |种类测试 |指针访问 |`result`访问 |受检访问 |非受检访问&lt;/ref_value&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">83</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":95" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_kind,`kind::array`&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_kind,`kind::array`&gt;&amp;gt;&lt;/ref_kind,`kind::array`&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":95" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_array&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_array&gt;&amp;gt;&lt;/ref_array&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="3f4ba464e8944106" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_emplace_array&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_emplace_array&gt;&amp;gt;&lt;/ref_value_emplace_array&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c9f5333b79d6b7db" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_is_array&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_is_array&gt;&amp;gt;&lt;/ref_value_is_array&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="cd4117038dffa2e2" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_if_array&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_if_array&gt;&amp;gt;&lt;/ref_value_if_array&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="3c5df3851938d481" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_try_as_array&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_try_as_array&gt;&amp;gt;&lt;/ref_value_try_as_array&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="9e2454c717e84a13" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_as_array&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_as_array&gt;&amp;gt;&lt;/ref_value_as_array&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f3761e5bfe3efda8" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_get_array&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_get_array&gt;&amp;gt;&lt;/ref_value_get_array&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":95" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_kind,`kind::object`&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_kind,`kind::object`&gt;&amp;gt;&lt;/ref_kind,`kind::object`&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":95" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_object&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_object&gt;&amp;gt;&lt;/ref_object&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ae56f19b1bc032fd" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_emplace_object&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_emplace_object&gt;&amp;gt;&lt;/ref_value_emplace_object&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="146b78a0fa043fa9" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_is_object&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_is_object&gt;&amp;gt;&lt;/ref_value_is_object&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="7c5f5696778928d3" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_if_object&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_if_object&gt;&amp;gt;&lt;/ref_value_if_object&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e38276f3718f7ace" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_try_as_object&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_try_as_object&gt;&amp;gt;&lt;/ref_value_try_as_object&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f086353a9707c269" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_as_object&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_as_object&gt;&amp;gt;&lt;/ref_value_as_object&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="20bcc21c2a099ef5" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_get_object&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_get_object&gt;&amp;gt;&lt;/ref_value_get_object&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":95" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_kind,`kind::string`&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_kind,`kind::string`&gt;&amp;gt;&lt;/ref_kind,`kind::string`&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":95" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_string&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_string&gt;&amp;gt;&lt;/ref_string&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="eb1b9bdb6c9a24ba" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_emplace_string&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_emplace_string&gt;&amp;gt;&lt;/ref_value_emplace_string&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="fca700c6ebdafdd3" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_is_string&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_is_string&gt;&amp;gt;&lt;/ref_value_is_string&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="7c1ab9a01be68d7e" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_if_string&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_if_string&gt;&amp;gt;&lt;/ref_value_if_string&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c61c771704a3c8de" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_try_as_string&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_try_as_string&gt;&amp;gt;&lt;/ref_value_try_as_string&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e61a4e1c91b797b4" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_as_string&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_as_string&gt;&amp;gt;&lt;/ref_value_as_string&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ef09a027d66a0eaa" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_get_string&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_get_string&gt;&amp;gt;&lt;/ref_value_get_string&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":95" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_kind,`kind::int64`&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_kind,`kind::int64`&gt;&amp;gt;&lt;/ref_kind,`kind::int64`&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="d6e7c0e9f554da56" weblate-flags="safe-html, strict-same">
        <source>https://en.cppreference.com/w/cpp/types/integer[`std::int64_t`]</source>
        <target state="translated">https://en.cppreference.com/w/cpp/types/integer[`std::int64_t`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="63ecf8411fc5497b" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_emplace_int64&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_emplace_int64&gt;&amp;gt;&lt;/ref_value_emplace_int64&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b473019383d566ce" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_is_int64&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_is_int64&gt;&amp;gt;&lt;/ref_value_is_int64&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="553c7f148b79c562" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_if_int64&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_if_int64&gt;&amp;gt;&lt;/ref_value_if_int64&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a6a47c1980f55455" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_try_as_int64&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_try_as_int64&gt;&amp;gt;&lt;/ref_value_try_as_int64&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="22b6fa3b8f341bab" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_as_int64&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_as_int64&gt;&amp;gt;&lt;/ref_value_as_int64&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="bfce79fcd3d1d6a3" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_get_int64&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_get_int64&gt;&amp;gt;&lt;/ref_value_get_int64&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":95" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_kind,`kind::uint64`&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_kind,`kind::uint64`&gt;&amp;gt;&lt;/ref_kind,`kind::uint64`&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f3be6d5cc69cf0a9" weblate-flags="safe-html, strict-same">
        <source>https://en.cppreference.com/w/cpp/types/integer[`std::uint64_t`]</source>
        <target state="translated">https://en.cppreference.com/w/cpp/types/integer[`std::uint64_t`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="3bd8a860b7b19fcc" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_emplace_uint64&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_emplace_uint64&gt;&amp;gt;&lt;/ref_value_emplace_uint64&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e2208c2b09a91ecb" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_is_uint64&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_is_uint64&gt;&amp;gt;&lt;/ref_value_is_uint64&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="47b4c259b350bb74" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_if_uint64&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_if_uint64&gt;&amp;gt;&lt;/ref_value_if_uint64&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="832a654804daad86" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_try_as_uint64&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_try_as_uint64&gt;&amp;gt;&lt;/ref_value_try_as_uint64&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="573a658db78251f4" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_as_uint64&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_as_uint64&gt;&amp;gt;&lt;/ref_value_as_uint64&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f324d33d3818b7f5" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_get_uint64&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_get_uint64&gt;&amp;gt;&lt;/ref_value_get_uint64&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":95" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_kind,`kind::double_`&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_kind,`kind::double_`&gt;&amp;gt;&lt;/ref_kind,`kind::double_`&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4cd091d4834a82f5" weblate-flags="safe-html, strict-same">
        <source>https://en.cppreference.com/w/cpp/language/types[`double`]</source>
        <target state="translated">https://en.cppreference.com/w/cpp/language/types[`double`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="16c3c260990bd831" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_emplace_double&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_emplace_double&gt;&amp;gt;&lt;/ref_value_emplace_double&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="50d58cee4e14803f" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_is_double&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_is_double&gt;&amp;gt;&lt;/ref_value_is_double&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="94062a2c5b9d270b" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_if_double&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_if_double&gt;&amp;gt;&lt;/ref_value_if_double&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="fed132ac2f468f5b" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_try_as_double&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_try_as_double&gt;&amp;gt;&lt;/ref_value_try_as_double&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="308ff6cbf1dd8440" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_as_double&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_as_double&gt;&amp;gt;&lt;/ref_value_as_double&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="71da961852d05361" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_get_double&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_get_double&gt;&amp;gt;&lt;/ref_value_get_double&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":95" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_kind,`kind::bool_`&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_kind,`kind::bool_`&gt;&amp;gt;&lt;/ref_kind,`kind::bool_`&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2f9d2e36ca600342" weblate-flags="safe-html, strict-same">
        <source>https://en.cppreference.com/w/cpp/language/types[`bool`]</source>
        <target state="translated">https://en.cppreference.com/w/cpp/language/types[`bool`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="7ee6dc8690918dab" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_emplace_bool&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_emplace_bool&gt;&amp;gt;&lt;/ref_value_emplace_bool&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="fa039c709ac7e59d" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_is_bool&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_is_bool&gt;&amp;gt;&lt;/ref_value_is_bool&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="85a22652a9688930" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_if_bool&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_if_bool&gt;&amp;gt;&lt;/ref_value_if_bool&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="228ee628cc5eab94" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_try_as_bool&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_try_as_bool&gt;&amp;gt;&lt;/ref_value_try_as_bool&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="74f4d45dadb78829" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_as_bool&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_as_bool&gt;&amp;gt;&lt;/ref_value_as_bool&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="636044a965a83468" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_get_bool&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_get_bool&gt;&amp;gt;&lt;/ref_value_get_bool&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":95" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_kind,`kind::null`&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_kind,`kind::null`&gt;&amp;gt;&lt;/ref_kind,`kind::null`&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e7809943f21c6e02" weblate-flags="safe-html, strict-same">
        <source>https://en.cppreference.com/w/cpp/language/nullptr[`std::nullptr_t`]</source>
        <target state="translated">https://en.cppreference.com/w/cpp/language/nullptr[`std::nullptr_t`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="0542ec1dbf5fe61e" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_emplace_null&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_emplace_null&gt;&amp;gt;&lt;/ref_value_emplace_null&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="d6bdc7a3579876a9" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_value_is_null&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_value_is_null&gt;&amp;gt;&lt;/ref_value_is_null&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="8f1bcaf43c74d14c" weblate-flags="safe-html, strict-same">
        <source>^|&amp;mdash; |&lt;&lt;ref_value_try_as_null&gt;&gt; ^|&amp;mdash; ^|&amp;mdash;</source>
        <target state="translated">^|— |&amp;lt;&lt;ref_value_try_as_null&gt;&amp;gt; ^|— ^|—&lt;/ref_value_try_as_null&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">162</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="301bdbc8b0a1d868" weblate-flags="safe-html, strict-same">
        <source>The emplace members of &lt;&lt;ref_value&gt;&gt; return a typed reference to the underlying representation. For example, the call to &lt;&lt;ref_value_emplace_string,`value::emplace_string`&gt;&gt; in the previous example returns a &lt;&lt;ref_string,`string&amp;`&gt;&gt;. This table shows the underlying type for each kind:</source>
        <target state="translated">&amp;lt;&lt;ref_value&gt;&amp;gt; 的置入成员函数返回对底层表示形式的类型化引用。例如，前例中对 &amp;lt;&lt;ref_value_emplace_string,`value::emplace_string`&gt;&amp;gt; 的调用返回一个 &amp;lt;&lt;ref_string,`string&amp;`&gt;&amp;gt; 。下表列出了每种 kind 对应的底层类型：&lt;/ref_string,`string&amp;`&gt;&lt;/ref_value_emplace_string,`value::emplace_string`&gt;&lt;/ref_value&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">169</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="77157a47e3ea352b" weblate-flags="safe-html, strict-same">
        <source>Kind</source>
        <target state="translated">种类</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">175</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4260caf7dbb163c2" weblate-flags="safe-html, strict-same">
        <source>Type</source>
        <target state="translated">类型</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">175</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f7f5c115cf553484" weblate-flags="safe-html, strict-same">
        <source>Description</source>
        <target state="translated">描述</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">175</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":175" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_kind,`kind::object`&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_kind,`kind::object`&gt;&amp;gt;&lt;/ref_kind,`kind::object`&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">175</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":175" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_object&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_object&gt;&amp;gt;&lt;/ref_object&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">175</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2fe898d6b9e82191" weblate-flags="safe-html, strict-same">
        <source>An associative array of string keys mapping to &lt;&lt;ref_value&gt;&gt; elements with an</source>
        <target state="translated">一个关联数组，其键为字符串，值为 &amp;lt;&lt;ref_value&gt;&amp;gt; 元素，接口&lt;/ref_value&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">175</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="75f35d61788880a3" weblate-flags="safe-html, strict-same">
        <source>interface similar to {std_unordered_map}, that remembers insertion order.</source>
        <target state="translated">类似于 {std_unordered_map}，并保留插入顺序</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">181</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":183" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_kind,`kind::array`&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_kind,`kind::array`&gt;&amp;gt;&lt;/ref_kind,`kind::array`&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">183</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":183" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_array&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_array&gt;&amp;gt;&lt;/ref_array&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">183</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="91d67c6684c70bd6" weblate-flags="safe-html, strict-same">
        <source>An ordered list of &lt;&lt;ref_value&gt;&gt; elements with an interface similar to</source>
        <target state="translated">一个&amp;lt;&lt;ref_value&gt;&amp;gt;元素的有序列表，其接口类似于&lt;/ref_value&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">183</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="afd044c67428b70d" weblate-flags="safe-html, strict-same">
        <source>{std_vector}.</source>
        <target state="translated">{std_vector}。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">186</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":188" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_kind,`kind::string`&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_kind,`kind::string`&gt;&amp;gt;&lt;/ref_kind,`kind::string`&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">188</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":188" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_string&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_string&gt;&amp;gt;&lt;/ref_string&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">188</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2c1d7332fba20488" weblate-flags="safe-html, strict-same">
        <source>A https://en.wikipedia.org/wiki/UTF-8[__UTF-8__] encoded</source>
        <target state="translated">一个采用https://en.wikipedia.org/wiki/UTF-8[__UTF-8__]编码的</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">188</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="9272fe13a59ed646" weblate-flags="safe-html, strict-same">
        <source>https://en.wikipedia.org/wiki/Unicode[Unicode] https://en.wikipedia.org/wiki/String_(computer_science)[string] of characters with an interface similar to {std_string}.</source>
        <target state="translated">https://en.wikipedia.org/wiki/Unicode[Unicode]字符https://en.wikipedia.org/wiki/String_(computer_science)[字符串]，其接口类似于{std_string}。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">191</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":195" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_kind,`kind::int64`&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_kind,`kind::int64`&gt;&amp;gt;&lt;/ref_kind,`kind::int64`&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">195</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="43549de42f90ba46" weblate-flags="safe-html, strict-same">
        <source>`std::int64_t`</source>
        <target state="translated">`std::int64_t`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">195</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e228b9803004838c" weblate-flags="safe-html, strict-same">
        <source>A 64 bit signed integer.</source>
        <target state="translated">64位有符号整数。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">195</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":195" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_kind,`kind::uint64`&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_kind,`kind::uint64`&gt;&amp;gt;&lt;/ref_kind,`kind::uint64`&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">195</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="bcb8654c8a337c85" weblate-flags="safe-html, strict-same">
        <source>`std::uint64_t`</source>
        <target state="translated">`std::uint64_t`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">195</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="60d1afa6b031decb" weblate-flags="safe-html, strict-same">
        <source>A 64 bit unsigned integer.</source>
        <target state="translated">64位无符号整数。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">195</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":195" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_kind,`kind::double_`&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_kind,`kind::double_`&gt;&amp;gt;&lt;/ref_kind,`kind::double_`&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">195</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="9d9c92ea20c189b2" weblate-flags="safe-html, strict-same">
        <source>`double`</source>
        <target state="translated">`double`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">195</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="d09b7cb0fcc821e3" weblate-flags="safe-html, strict-same">
        <source>A `double` holding a floating-point value.</source>
        <target state="translated">一个`double`，用于保存浮点型值。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">195</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":195" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_kind,`kind::bool_`&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_kind,`kind::bool_`&gt;&amp;gt;&lt;/ref_kind,`kind::bool_`&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">195</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="670c936511c52acf" weblate-flags="safe-html, strict-same">
        <source>https://en.cppreference.com/w/cpp/keyword/bool[`bool`]</source>
        <target state="translated">https://en.cppreference.com/w/cpp/keyword/bool[`bool`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">195</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="71e2e8849295d57a" weblate-flags="safe-html, strict-same">
        <source>A `bool` holding `true` or `false`.</source>
        <target state="translated">一个`bool`，用于保存`true`或`false`。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">195</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":195" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_kind,`kind::null`&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_kind,`kind::null`&gt;&amp;gt;&lt;/ref_kind,`kind::null`&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">195</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b0026d33c1ca1280" weblate-flags="safe-html, strict-same">
        <source>^| &amp;mdash; | A monostate value representing null. |===</source>
        <target state="translated">^| — | 一个表示空值的monostate值。 |===</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">212</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="d38232e45fd29f4f" weblate-flags="safe-html, strict-same">
        <source>The return value from emplace can be used to perform assignment or to capture a reference to the underlying element for later inspection or modification:</source>
        <target state="translated">置入操作的返回值可用于执行赋值，或捕获对底层元素的引用以供后续检查或修改：</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">216</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="5d0c90f58699c0d4" weblate-flags="safe-html, strict-same">
        <source>If the &lt;&lt;ref_kind&gt;&gt; of a &lt;&lt;ref_value&gt;&gt; is known, functions such as &lt;&lt;ref_value_as_bool,`value::as_bool`&gt;&gt; or &lt;&lt;ref_value_as_string,`value::as_string`&gt;&gt; may be used to obtain a reference to the underlying representation without changing the existing value:</source>
        <target state="translated">如果已知 &amp;lt;&lt;ref_value&gt;&amp;gt; 的 &amp;lt;&lt;ref_kind&gt;&amp;gt;，可使用诸如 &amp;lt;&lt;ref_value_as_bool,`value::as_bool`&gt;&amp;gt; 或 &amp;lt;&lt;ref_value_as_string,`value::as_string`&gt;&amp;gt; 等函数，在不改变现有值的情况下获取对底层表示的引用：&lt;/ref_value_as_string,`value::as_string`&gt;&lt;/ref_value_as_bool,`value::as_bool`&gt;&lt;/ref_kind&gt;&lt;/ref_value&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">224</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="3711a1bb7fd3e555" weblate-flags="safe-html, strict-same">
        <source>However, as shown above these functions throw an exception if the kind in the &lt;&lt;ref_value&gt;&gt; does not match the kind denoted by the function signature. This can be used as a concise form of validation: access values as if they were the right type, but handle the resulting exception indicating if the schema of the JSON is not valid.</source>
        <target state="translated">然而，如上所示，如果 &amp;lt;&lt;ref_value&gt;&amp;gt; 中的实际类型与函数签名所指定的类型不匹配，这些函数会抛出异常。这一行为可作为一种简洁的验证形式：以预期类型直接访问值，若 JSON 结构无效，则通过捕获异常进行处理。&lt;/ref_value&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">234</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="997abafce697d56b" weblate-flags="safe-html, strict-same">
        <source>We can query a value for its underlying representation of a particular kind in a way that does not throw exceptions by requesting a pointer which may be null, instead of a reference. Here we use &lt;&lt;ref_value_if_string,`value::if_string`&gt;&gt; to conditionally perform an assignment without using exceptions:</source>
        <target state="translated">我们可以通过请求一个可能为空的指针（而非引用）来查询值中特定种类的底层表示形式，而不会抛出异常。这里我们使用 &amp;lt;&lt;ref_value_if_string,`value::if_string`&gt;&amp;gt; 来条件执行赋值操作，而无需使用异常：&lt;/ref_value_if_string,`value::if_string`&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">240</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="fd2b7afa122846bf" weblate-flags="safe-html, strict-same">
        <source>Functions returning {ref_result} allow you to use both approaches:</source>
        <target state="translated">返回 {ref_result} 的函数允许您同时使用上述两种方式：</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">263</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="059c92545c3dacd3" weblate-flags="safe-html, strict-same">
        <source>Formatted Output</source>
        <target state="translated">格式化输出</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">270</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="92a085e37545c9c2" weblate-flags="safe-html, strict-same">
        <source>When a &lt;&lt;ref_value&gt;&gt; is formatted to a {std_ostream}, the result is serialized JSON as if by calling &lt;&lt;ref_serialize&gt;&gt;.</source>
        <target state="translated">当将 &amp;lt;&lt;ref_value&gt;&amp;gt; 输出到 {std_ostream} 时，其结果等同于调用 &amp;lt;&lt;ref_serialize&gt;&amp;gt; 所生成的序列化 JSON。&lt;/ref_serialize&gt;&lt;/ref_value&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">271</context>
        </context-group>
      </trans-unit>
    </body>
  </file>
</xliff>
